GPT-5.4 Nano
Approved Data Classifications
This model is only approved for Open Data. When leveraging NaviGator AI’s suite offerings, please ensure you are selecting models that meet the compliance requirements in accordance with UF’s Data Classifications, grant awards or project specifications, and state and federal law.
Description
GPT-5.4 Nano is OpenAI’s lightest GPT-5.4 model for ultra-low-latency and cost-sensitive workloads. It supports text and image input, outputs text, and keeps a 400,000-token context window while reducing price for high-volume automations, routing layers, classification, extraction, and lightweight agent tasks. OpenAI lists pricing at $0.20 per 1M input tokens, $1.25 per 1M output tokens, and $0.02 per 1M cached input tokens.
Capabilities
| Model | Knowledge Cutoff | Input | Output | Context Length | Cost (per 1 million tokens) |
|---|---|---|---|---|---|
| gpt-5.4-nano | Aug 31 2025 | Text, Image | Text | 400,000 | $0.20/1M input $1.25/1M output |
info
1Mrepresents 1 Million Tokens- All prices listed are based on 1 Million Tokens
- Cached input: $0.02 per 1M tokens
Availability
Cloud Provider
Usage
- curl
- python
- javascript
curl -X POST https://api.ai.it.ufl.edu/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API_TOKEN>" \
-d '{
"model": "gpt-5.4-nano",
"messages": [
{
"role": "system",
"content": "You are a helpful assistant."
},
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
}'
from openai import OpenAI
client = OpenAI(
api_key="your_api_key",
base_url="https://api.ai.it.ufl.edu/v1"
)
response = client.chat.completions.create(
model="gpt-5.4-nano", # model to send to the proxy
messages = [
{ "role": "system", "content": "You are a helpful assistant." },
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
)
print(response.choices[0].message)
import OpenAI from 'openai';
const openai = new OpenAI({
apiKey: 'your_api_key',
baseURL: 'https://api.ai.it.ufl.edu/v1'
});
const completion = await openai.chat.completions.create({
model: "gpt-5.4-nano",
messages: [
{ role: "system", content: "You are a helpful assistant." },
{
role: "user",
content: "Write a haiku about an Alligator.",
},
],
});
console.log(completion.choices[0].message)
References
- OpenAI - Introducing GPT-5.4 mini and nano
https://openai.com/index/introducing-gpt-5-4-mini-and-nano/- OpenAI API Docs - GPT-5.4 nano
https://developers.openai.com/api/docs/models/gpt-5.4-nano- OpenAI API Pricing
https://developers.openai.com/api/docs/pricing